Skip to main content
Operations Management/Access Control/IP Blacklist/Whitelist Operations
GETIP Blacklist/Whitelist OperationsSince 3.5.1SynchronousAuth Required

QueryAccessControlRule

QueryAccessControlRule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • ruleStringRequired

      规则。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • strategyControlStrategyRequired

      See strategy.

      • ACCEPTControlStrategyRequired

        接受。

      • REJECTControlStrategyRequired

        拒绝。

Endpoint

GET/zstack/v1/login-control/access-control/rules

/zstack/v1/login-control/access-control/rules

Operation ID

QueryAccessControlRule

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/login-control/access-control/rules' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "rule": "192.168.10.0/24" } ] }

Change History

This API has no change history records yet.

View all change history